Welcome back! Ask questions, get answers, and join our large community of tax professionals.
cancel
Showing results for 
Search instead for 
Did you mean: 

2019 Lacerte system requirements

Intuit Help
Intuit

2019 Lacerte system requirements

 

At Intuit, the security of your data is a top priority. Therefore, beginning with the first release of the 2019 tax software, you'll no longer be able to install Lacerte if you're running on a Windows 7 operating system.

Don't lose speed and productivity during tax season. Make sure your Lacerte software runs optimally and ensure compliance by checking your system against our system requirements below. Upgrading will keep you from experiencing unnecessary slowdowns, hassles, and a less-than-optimal experience. More importantly, it'll allow for further productivity during the busy tax season.

This system requirements table provides a list of key system recommendations for achieving the performance needed to productively use Lacerte tax software.

TopicRequired
Processor:2.4 GHz dual-core processor
Memory (RAM):4 GB RAM and 64-bit operating systems 

32-bit operating systems no longer supported
Hard Disk Space:4 GB of hard disk space free
Monitor:19" with a screen resolution of 1920 x 1080 or higher
Printer:Laser printer with a print speed of at least 17 ppm and a minimum of 32 MB RAM.
Internet Connection:High-speed, such as DSL, or Cable/Broadband is required to license the software, download Web release and Internet Updates, and transmit e-File, pay per return authorization or service request submissions.
Browser:Internet Explorer 11.0 or greater with 128-bit encryption
Add-on Components:Microsoft .NET Framework 4.8 (Download here)
Supported Workstation OS:Windows 10 (Version 1607 or later), Windows 8.1 (64-bit only)

Windows 7 & Windows Server 2008 will no longer be supported. Learn more here

Since Windows 10S doesn't support the installation of applications outside of Microsoft's app store, Lacerte use isn't supported by Windows 10S.
Supported File Server OS:Windows Server 2012, 2016 and 2019. 

We recommend using 1 gigabit network switches as Lacerte uses 50 MB/sec or more when running across a LAN.

Windows Server 2008 is no longer supported. Network Attached Storage (NAS) drives aren't supported.
Supported Hosted Environments:Windows Remote Desktop Service or Citrix on 2012, 2016 and 2019 with at least 2GB RAM/user. 

For more details on Network Administration and Citrix, please refer to How to install Lacerte on Citrix or a terminal server environment.

To learn more about our new Hosting offering and how it can help you meet system requirements, click here.
Additional Note:File Share & Sync service aren't supported for data storage, backup, or sharing purposes (ex: Dropbox or OneDrive).

32-bit operating systems are no longer supported.
 

After January 14, 2020, Microsoft will no longer provide security updates or support for PCs running Windows 7 or Windows Server 2008.  Because of these changes, you'll need to update to one of the operating systems listed in our system requirements table. Learn more about the end of Windows 7 support here.

Related topics

Was this helpful?

You must sign in to vote, reply, or post
Labels (1)

Related to this Article